#require "gphys_const_v1"
require "numru/ggraph"
include NumRu

figdir = 'figs'
#Dir::mkdir( figdir )



structdata = Struct.new("SurfTemp14", 
                        :path, :vname, :iyr, :plevtop, :figfn )

Temp02 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/Temp_02LST.nc", 
               "Temp", 
               1, 
               1e1,
               'dcl_Temp_yz_02LST' 
             )
Temp14 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/Temp_14LST.nc", 
               "Temp", 
               1, 
               1e1,
               'dcl_Temp_yz_14LST' 
             )
Temp03 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/Temp_03LST.nc", 
               "Temp", 
               1, 
               1e-2,
               'dcl_Temp_yz_03LST' 
             )
Temp15 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/Temp_15LST.nc", 
               "Temp", 
               1, 
               1e-2,
               'dcl_Temp_yz_15LST' 
             )
Dust03 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/DustDensScledOptDep_03LST.nc", 
               "DustDensScledOptDep", 
               1, 
               1e-2,
               'dcl_DustDensScledOptDep_yz_03LST' 
             )
Dust15 = structdata.new( 
               "../mknc_dm1lst-2012-09-22/out/DustDensScledOptDep_15LST.nc", 
               "DustDensScledOptDep", 
               1, 
               1e-2,
               'dcl_DustDensScledOptDep_yz_15LST' 
             )

structs = [Temp02, Temp14, Temp03, Temp15, Dust03, Dust15]


for l in 0..(structs.length-1)

  path    = structs[l].path
  vname   = structs[l].vname
  plevtop = structs[l].plevtop
  iyr     = structs[l].iyr
  figfn   = structs[l].figfn

  for i in 0..12-1

    lss = 30* i
    lse = 30*(i+1)

    p 'path : ' + path
    p 'Ls = ' + lss.to_s + '-' + lse.to_s

    system('ruby draw_3D_zm_yz.rb ' + path + ' ' + vname + ' ' + plevtop.to_s + ' ' + iyr.to_s + ' ' + lss.to_s + ' ' + lse.to_s )

#    system("pstoimg -type gif -flip r270 dcl.ps")
#      com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vname+"_"+"p%0#{2}d.gif", imon )
#      system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/"+figfn+"_ls%03d-%03d"+".ps", lss, lse )
    system(com)

  end
end
